Works with Firefox 28.0.